const CryptoJS = require('crypto-js')
const request = require('sync-request')
function decrypt (word, k) {
  const key = CryptoJS.enc.Utf8.parse(k)
  var decrypt = CryptoJS.AES.decrypt(
    CryptoJS.enc.Base64.stringify(CryptoJS.enc.Hex.parse(word)),
    key,
    { mode: CryptoJS.mode.ECB, padding: CryptoJS.pad.Pkcs7 }
  )
  return CryptoJS.enc.Utf8.stringify(decrypt).toString()
}

module.exports = function getCICDConfigs () {
  const configUrl = process.env.FRONTEND_KEY_STORE_URL
  const key = process.env.FRONTEND_KEY_STORE_PWD
  const keyStore = request('GET', configUrl + '?t=' + (new Date()).getTime()).getBody('utf8')
  const confStr = decrypt(JSON.parse(keyStore).keyStore, key)
  const conf = JSON.parse(confStr)
  return conf.ENV
}
